Package ghidra.app.context

# Class ProgramLocationActionContext

java.lang.Object
docking.DefaultActionContext
ghidra.app.context.ProgramActionContext
ghidra.app.context.ProgramLocationActionContext

All Implemented Interfaces:
  `ActionContext`, `FunctionSupplierContext`

Direct Known Subclasses:
  `NavigatableActionContext`

public class ProgramLocationActionContext extends ProgramActionContext implements FunctionSupplierContext

- ## Field Summary

  ### Fields inherited from class ghidra.app.context.ProgramActionContext

  `program`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProgramLocationActionContext(ComponentProvider provider, Program program, ProgramLocation location, ProgramSelection selection, ProgramSelection highlight)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Address`
  `getAddress()`
  `CodeUnit`
  `getCodeUnit()`
  Returns the code unit containing the action's program location or null
  `protected Function`
  `getFunctionForLocation()`
  `Set<Function>`
  `getFunctions()`
  Returns the set of functions that this context object can supply.
  `ProgramSelection`
  `getHighlight()`
  `ProgramLocation`
  `getLocation()`
  `ProgramSelection`
  `getSelection()`
  `boolean`
  `hasFunctions()`
  Returns true if this context can supply one or more functions.
  `boolean`
  `hasHighlight()`
  `boolean`
  `hasSelection()`

  ### Methods inherited from class ghidra.app.context.ProgramActionContext

  `getProgram`

  ### Methods inherited from class docking.DefaultActionContext

  `getComponentProvider, getContextObject, getEventClickModifiers, getMouseEvent, getSourceComponent, getSourceObject, hasAnyEventClickModifiers, setContextObject, setEventClickModifiers, setMouseEvent, setSourceComponent, setSourceObject, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.ActionContext

  `getComponentProvider, getContextObject, getEventClickModifiers, getMouseEvent, getSourceComponent, getSourceObject, hasAnyEventClickModifiers, setContextObject, setEventClickModifiers, setMouseEvent, setSourceComponent, setSourceObject`

- ## Constructor Details

  - ### ProgramLocationActionContext

    public ProgramLocationActionContext(ComponentProvider provider, Program program, ProgramLocation location, ProgramSelection selection, ProgramSelection highlight)

- ## Method Details

  - ### getLocation

    public ProgramLocation getLocation()
    Returns:
      Returns the program location.

  - ### getSelection

    public ProgramSelection getSelection()
    Returns:
      Returns the program selection.

  - ### getHighlight

    public ProgramSelection getHighlight()

  - ### getAddress

    public Address getAddress()
    Returns:
      address corresponding to the action's program location or null if program location is null.

  - ### getCodeUnit

    public CodeUnit getCodeUnit()
    Returns the code unit containing the action's program location or null
    Returns:
      the code unit containing the action's program location or null

  - ### hasSelection

    public boolean hasSelection()

  - ### hasHighlight

    public boolean hasHighlight()

  - ### hasFunctions

    public boolean hasFunctions()
    Description copied from interface: `FunctionSupplierContext`
    Returns true if this context can supply one or more functions.
    Specified by:
      `hasFunctions` in interface `FunctionSupplierContext`
    Returns:
      true if this context can supply one or more functions

  - ### getFunctions

    public Set<Function> getFunctions()
    Description copied from interface: `FunctionSupplierContext`
    Returns the set of functions that this context object can supply.
    Specified by:
      `getFunctions` in interface `FunctionSupplierContext`
    Returns:
      the set of functions that this context object can supply

  - ### getFunctionForLocation

    protected Function getFunctionForLocation()